Activity log for bug #1322156

Date Who What changed Old value New value Message
2014-05-22 12:32:08 Andrew Hayzen bug added bug
2014-05-22 12:32:24 Andrew Hayzen branch linked lp:~andrew-hayzen/music-app/listitem-actions
2014-05-22 12:43:59 Christian Dywan u1db-qt: status New Confirmed
2014-05-22 12:44:12 Christian Dywan u1db-qt: importance Undecided High
2014-06-12 13:50:18 Andrew Hayzen branch linked lp:~andrew-hayzen/+junk/test-u1db-playlists
2014-06-12 13:50:35 Andrew Hayzen description Hi I have a document with the following structure: { "playlist": { "name": "newies", "tracks": [ { "file": "new1", "title": "very new song" }, { "file": "new2", "title": "even newer" } ] } } This is my index expression: expression: ["playlist.name", "playlist.tracks.file", "playlist.tracks.title"] This is my query: query: [{"name":"*"}, {"file":"*"}, {"title":"*"}] However when I set the query to a listview only the first item for the track is displayed. Also if i have multiple documents with tracks when i set the name in the query to filter to only one playlist (document) this doesn't function as well. There is an example app here [0] 0 - https://code.launchpad.net/~andrew-hayzen/music-app/listitem-actions Hi I have a document with the following structure:         {             "playlist":             {                 "name": "newies",                 "tracks": [                     { "file": "new1", "title": "very new song" },                     { "file": "new2", "title": "even newer" }                 ]             }         } This is my index expression: expression: ["playlist.name", "playlist.tracks.file", "playlist.tracks.title"] This is my query: query: [{"name":"*"}, {"file":"*"}, {"title":"*"}] However when I set the query to a listview only the first item for the track is displayed. Also if i have multiple documents with tracks when i set the name in the query to filter to only one playlist (document) this doesn't function as well. There is an example app here [0] 0 - https://code.launchpad.net/~andrew-hayzen/+junk/test-u1db-playlists
2014-06-12 13:50:46 Andrew Hayzen branch unlinked lp:~andrew-hayzen/music-app/listitem-actions
2015-03-06 05:13:14 Launchpad Janitor branch linked lp:~3v1n0/u1db-qt/objects-subfields-list-all
2015-03-06 05:19:31 Marco Trevisan (Treviño) u1db-qt: assignee Marco Trevisan (Treviño) (3v1n0)
2015-03-06 05:19:33 Marco Trevisan (Treviño) u1db-qt: status Confirmed In Progress
2015-08-26 18:22:45 Launchpad Janitor branch linked lp:ubuntu/wily-proposed/u1db-qt
2015-08-28 10:35:15 Christian Dywan u1db-qt: status In Progress Fix Committed